Name:           gigolo
Version:        0.4.2
Release:        5%{?dist}
Summary:        GIO/GVFS management application

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://goodies.xfce.org/projects/applications/gigolo/
Source0:        http://archive.xfce.org/src/apps/%{name}/0.4/%{name}-%{version}.tar.bz2
#
# Add patch to switch icon from nonstandard gtk-network to folder-remote
# https://bugzilla.xfce.org/show_bug.cgi?id=10079
# https://bugzilla.redhat.com/show_bug.cgi?id=1176115
#
Patch1:         gigolo-0.4.2-desktop-icon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils

Requires:       gvfs-fuse

Obsoletes: sion < 0.1.0-3

%description
A frontend to easily manage connections to remote filesystems using GIO/GVFS. 
It allows you to quickly connect/mount a remote filesystem and manage
bookmarks of such. 

%prep
%setup -q
%patch1 -p1

%build
#rm -f waf
%configure
make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name}

# remove duplicate docs
rm -rf %{buildroot}/%{_datadir}/doc/gigolo

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO THANKS
%{_bindir}/gigolo
%{_datadir}/applications/gigolo.desktop
%{_mandir}/man1/gigolo.1.gz

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 Kevin Fenzi <kevin@scrye.com> 0.4.2-4
- Add patch to change desktop icon from gtk-network to folder-remote. Fixes bug #1176115

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2
- Drop included upstream patches

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Kevin Fenzi <kevin@scrye.com> 0.4.1-8
- Switch to bundled waf for now, doesn't work with waf-1.6.11

* Thu Jun 21 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-7
- Require gvfs-fuse, fuse and gvfs are not enough (#834261)

* Sat Jan 21 2012 Kevin Fenzi <kevin@scrye.com> - 0.4.1-6
- Use system waf to get around configure hang.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for glibc bug#747377

* Sun Oct 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-3
- Fix crash when closing gigolo from the toolbar (#748228)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 01 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-1
- Update to 0.4.1
- Patch to fix German translation
 
* Thu Dec 31 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 18 2009 Kevin Fenzi <kevin@tummy.com> - 0.3.2-1
- Update to 0.3.2

* Sat Apr 04 2009 Kevin Fenzi <kevin@tummy.com> - 0.3.1-1
- Update to 0.3.1

* Tue Mar 31 2009 Kevin Fenzi <kevin@tummy.com> - 0.3.0-1
- Update to 0.3.0 

* Sun Feb 22 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.1-1
- Update to 0.2.1
- Add THANKS
- Fix waf configure line and use local waf.

* Sun Feb 15 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.0-2
- Fix CFLAGS
- Fix build to be verbose
- Use Fedora waf
- Remove vendor

* Sun Feb 15 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.0-1
- Change name to gigolo
- Update to 0.2.0

* Sun Jan 04 2009 Kevin Fenzi <kevin@tummy.com> - 0.1.0-2
- Fix License tag
- Add Requires for needed binaries

* Fri Jan 02 2009 Kevin Fenzi <kevin@tummy.com> - 0.1.0-1
- Initial version for Fedora
